Repair a Computer Agent
Starts the supported repair operation for the computer hosting the selected agent. The operation verifies the result with read-only diagnostics. Poll the Computer Agent lifecycle status until the returned repair job finishes.
OpenAPI
````yaml post /api/v2/computer/accounts/{targetAccountId}/runtime/repair
openapi: 3.0.0
info:
version: 2.0.0
title: GetVoiceBot API
description: GetVoiceBot API Documentation
servers:
- url: https://api.getvoicebot.com
description: GetVoiceBot Production
variables:
baseUrl:
default: api.getvoicebot.com
description: Production API Root
security: []
tags:
- name: Agents
- name: Inbound Email
description: Control which senders may create inbound email work for an Agent.
- name: Features
description: Inspect capabilities available within an account hierarchy.
- name: Conversation Logs
description: Query conversation activity and calculate account-level metrics.
- name: Computer Agents
description: Set up, configure, inspect, and manage GetVoiceBot Computer Agents.
- name: Computer Agent Sessions
description: View and reset Computer Agent sessions.
- name: Accounts
- name: Agent Templates
description: Create, manage, and apply reusable Agent configurations.
paths:
/api/v2/computer/accounts/{targetAccountId}/runtime/repair:
post:
tags:
- Computer Agents
summary: Repair a Computer Agent
description: >
Starts the supported repair operation for the computer hosting the
selected agent. The operation verifies the result with read-only
diagnostics. Poll the Computer Agent lifecycle status until the returned
repair job finishes.
operationId: runtimePostRepair
parameters:
- name: targetAccountId
in: path
required: true
description: ''
schema:
type: string
requestBody:
required: true
content:
application/json:
schema:
type: object
required:
- confirm
properties:
confirm:
type: boolean
enum:
- true
description: Confirms that the repair should start.
responses:
'200':
description: Successful response
security:
- apiKeyAuth: []
components:
securitySchemes:
apiKeyAuth:
type: apiKey
in: query
name: token
description: GetVoiceBot API Token
````
